<!-- <div class="favorites">
  <div class="filter">
    <div class="link">Today</div>
    <div class="link">This Week</div>
    <div class="link">This Month</div>
    <div class="link">All</div>
  </div>
</div> -->
<ngb-tabset type="pills" (tabChange)="onTabChange($event)">
  <ng-container *ngFor="let option of options">
    <ngb-tab id="{{ option.id }}">
      <ng-template ngbTabTitle>
        <div class="link">{{ option.name }}</div>
      </ng-template>
      <ng-template ngbTabContent>
        <div class="layout">
          <div class="item" *ngFor="let post of posts$ | async">
            <img
              *ngIf="post.type !== 'video'"
              [src]="getUrl(post.image)"
              class="avatar"
              [routerLink]="['/post/', post.id]"
            />
            <div class="video-overlay" *ngIf="post.type === 'video'" [routerLink]="['/post/', post.id]">
              <video>
                <source [src]="getUrl(post.image)" />
              </video>
            </div>
          </div>
        </div>
      </ng-template>
    </ngb-tab>
  </ng-container>
</ngb-tabset>
